Skip to main content
GET
/
transactions
/
{transaction_hash_param}
/
raw-trace
Get step-by-step execution trace for a specific transaction
curl --request GET \
  --url 'https://api.blockscout.com/{chain_id}/api/v2/transactions/{transaction_hash_param}/raw-trace?apikey='
[
  {
    "action": {
      "from": "<string>",
      "gas": "<string>",
      "input": "<string>",
      "value": "<string>",
      "callType": "call",
      "init": "<string>",
      "to": "<string>"
    },
    "subtraces": 1,
    "traceAddress": [
      123
    ],
    "type": "call",
    "result": {
      "gasUsed": "<string>",
      "output": "<string>"
    },
    "transactionHash": "<string>"
  }
]

Authorizations

apikey
string
query
required

API key for authentication. Required for all Pro API endpoints. Obtain your API key at https://dev.blockscout.com/

Path Parameters

transaction_hash_param
string
required

Transaction hash in the path

Pattern: ^0x([A-Fa-f0-9]{64})$

Query Parameters

apikey
string
required

API key for rate limiting or for sensitive endpoints

key
string

Secret key for getting access to restricted resources

Response

Raw execution trace for the specified transaction.

action
object
required
subtraces
integer
required
Required range: x >= 0
traceAddress
integer[]
required
type
enum<string>
required
Available options:
call,
create,
create2,
reward,
selfdestruct,
stop,
invalid
result
object
transactionHash
string | null
Pattern: ^0x([A-Fa-f0-9]{64})$